Bug 230064 - vim does not handle double byte characters properly
vim does not handle double byte characters properly
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vim (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Kevin Baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 07:59 EST by Douglas Held
Modified: 2014-12-01 18:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-13 05:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Held 2007-02-26 07:59:57 EST
Description of problem:
Double byte characters are not handled correctly in vim

Version-Release number of selected component (if applicable):
[doug@rhe4 Test]$ rpm -qa | grep vim
vim-minimal-6.3.046-0.40E.7


How reproducible:
1. Attach to RHE server with Putty 0.58 from Windows XP SP2
2. in default bash shell, create a new text file (e.g. vi test )
3. insert the following text: "before£after"
   (Inserting the £ as Shift-3 on the UK keyboard)
4. The text displays as "before£after"
5. Type Esc and :w to save the file
6. The cursor is now on the "e" in "after"
7. Type LArrow eleven times... the cursor will be at the beginning of the line
8. Type RArrow 7 times.  The cursor will be on the £ symbol
9. Type right arrow one more time.  The "£" symbol changes to an "a".
10. The text stays corrupted on the screen and can no longer be edited reliably.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Douglas Held 2007-02-26 08:05:20 EST
How reproducable: always

Expected results: the characters on screen should not change when vi is not in
editing mode.

Additional info: TERM environment variable can be set to either "vt100" or
"xterm" to obtain these results.
Comment 3 Phil Knirsch 2011-05-13 05:48:57 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.